#include <rew/decoder/audio_reader.h>

///=====================================================================================================================
rew::AudioReader::AudioReader()
    : loaded(false),
      size(0),
      sampleRate(0),
      channelCount(0),
      bitsPerSample(0),
      chunkSize(0) {

}

///=====================================================================================================================
bool rew::AudioReader::isOpen() const {
    return loaded;
}

///=====================================================================================================================
size_t rew::AudioReader::getSize() const {
    return size;
}

///=====================================================================================================================
int rew::AudioReader::getSampleRate() const {
    return sampleRate;
}

///=====================================================================================================================
int rew::AudioReader::getNumOfChannels() const {
    return channelCount;
}

///=====================================================================================================================
int rew::AudioReader::getBitsPerSample() const {
    return bitsPerSample;
}

///=====================================================================================================================
int rew::AudioReader::getChunkSize() const {
    return chunkSize;
}

///=====================================================================================================================
rew::AudioReader::operator bool() const {
    return loaded;
}
