#include <rew/encoder/audio_writer.h>

///=====================================================================================================================
rew::AudioWriter::AudioWriter():
loaded(false),size(0),sampleRate(0),channelCount(0),bitsPerSample(0) {
    
}

///=====================================================================================================================
bool rew::AudioWriter::isOpen() const {
    return loaded;
}

///=====================================================================================================================
size_t rew::AudioWriter::getSize() const {
    return size;
}

///=====================================================================================================================
int rew::AudioWriter::getSampleRate() const {
    return sampleRate;
}

///=====================================================================================================================
int rew::AudioWriter::getNumOfChannels() const {
    return channelCount;
}

///=====================================================================================================================
int rew::AudioWriter::getBitsPerSample() const {
    return bitsPerSample;
}

///=====================================================================================================================
rew::AudioWriter::operator bool() const {
    return loaded;
}
